//HIDE REG FORM ON LOAD
$(document).ready(function () {
	$("#usercode").hide();
	$("#password").hide();
	$("#waybill").hide();
	$("#check").hide();
	$("#track").hide();
	 $("#ttype").change(function () {
        toggleFields();
    });
	  $("#policyreportdate").change(function () {
        toggleFields2();
    });
    });

function toggleFields() {
    if ($("#ttype").val() === "1")
	{
        $("#usercode").show();
		$("#password").show();
		$("#check").show();
		$("#waybill").hide();
		$("#track").hide();
	}
	else
	 if ($("#ttype").val() === "2")
	{
	 $("#usercode").hide();
		$("#password").hide();
		$("#check").hide();
		$("#waybill").show();
		$("#track").show();
	}
   
	else
	
	{
	 $("#usercode").hide();
		$("#password").hide();
		$("#check").hide();
		$("#waybill").hide();
		$("#track").hide();
	}
   
}

function toggleFields2() {
    if ($("#policyreportdate").val() === "Specific Date" || $("#policyreportdate").val() === "All Dates Before" || $("#policyreportdate").val() === "All Dates After" )
	{
        $("#policyreportdate1").show();
		 $("#policyreportdate2").hide();
	}
    else
   if ($("#policyreportdate").val() === "Between Two Dates")
	{
        $("#policyreportdate1").show();
		 $("#policyreportdate2").show();
		
	}
	 else
	{
        $("#policyreportdate1").hide();
		 $("#policyreportdate2").hide();
		
	}
	
}